(OLD) (ARCHIVED) Puppy Linux Discussion Forum Forum Index (OLD) (ARCHIVED) Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info

This forum can also be accessed as http://oldforum.puppylinux.com
It is now read-only and serves only as archives.

Please register over the NEW forum
https://forum.puppylinux.com
and continue your work there. Thank you.

 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups    
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 18 Sep 2020, 11:12
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
gtk-youtube-viewer (for lots of pups)
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies. View previous topic :: View next topic
Page 29 of 33 [482 Posts]   Goto page: Previous 1, 2, 3, ..., 27, 28, 29, 30, 31, 32, 33 Next
Author Message
sindi

Joined: 16 Aug 2009
Posts: 1088
Location: Ann Arbor MI USA

PostPosted: Sun 26 Jan 2020, 20:30    Post subject: updating youtube-dl  

Firefox 68 ESR (works with updated Precise 5.7.1 Light) has a Youtube Adblocker (Palemoon does not yet) but no sound. I changed permissions as instructed (allow youtube autoplay) but it may need Pulseaudio. There is now a Youtube Saver but it does not work (as reported by many reviewers - no icon to start it).

Palemoon 28.8.1 plays Youtube videos with ads at 360p. Which uses over 100% of my 1.4GHz single core CPU for browser/youtube/X so I cannot even change setting to 240p. There is no Youtube ad blocker for Palemoon.. I don't know how to use the recently fixed Youtube Downloader.

The youtube-dl updater failed, as mentioned. There is a 2020.01.24 youtube-dl. Maybe too many others are downloading and it times out.

So I tried tubemate on our newest android phone. The small fast EC browser refuses to save Tubemate 2 or 3. Chrome refuses to install 2, or to run 3 unless I download something to display 1080p and it HAS to be done using a google account. We can watch streaming without download, on half of the screen, with ad across the bottom.
Back to top
View user's profile Send private message 
Smithy


Joined: 12 Dec 2011
Posts: 1157

PostPosted: Sat 08 Feb 2020, 06:22    Post subject:  

Hey Sindi, with your single core 1.4, you could be pushing it a bit to have smooth youtube experience, I would have thought, especially if you have multiple browsers open.

You might have better luck just not bothering with browsers and using the gtk app as intended. It browses fine.

This one updates, plays in terminal, plays in mplayer or mpv and downloads the youtube item if required, taking the pressure off the ram and cpu. And it still updates as from today and always has done.

Not sure if it works in precise, but there isn’t a great deal of difference, perl5, python stuff maybe.

http://www.smokey01.com/Smithy/Artful%20ardvark/youtube-viewer-3.5.4-artful_m2go.pet
Back to top
View user's profile Send private message 
westwest

Joined: 10 Apr 2015
Posts: 72

PostPosted: Sat 08 Feb 2020, 13:42    Post subject: youtube  

Using Palemoon, it is possible to add uBlock Origin from the "Classic Add-On Archives" (itself a Palemoon Add-On), which will remove all ads from Youtube.

Also in Palemoon, disabling MSE from "Options>Content>Video" will greatly reduce CPU cycles on youtube, and allow you to download any video directly by double-right-clicking on it and selecting "Save Video" from the menu. There's even a Palemoon Add-On ("HTML5 Media Tuner") to toggle between HTML5+MSE, HTML5 only, and No HTML5.
Back to top
View user's profile Send private message 
sindi

Joined: 16 Aug 2009
Posts: 1088
Location: Ann Arbor MI USA

PostPosted: Sat 08 Feb 2020, 16:15    Post subject: youtube in browser, youtube-dl
Subject description: unusably slow in browser even at 240p
 

How do I update the youtube-dl in (gtk)-youtube-viewer?
The old one from two weeks ago cannot find URLs.

I found a deb for the Jan 24 2020 version but need ar to unpack it.
Precise puppy has no ar. I installed binutils - still no ar.
I could compile my own busybox with it. Uextract expects it.

I tried to update it with ...... youtube-dl -U and it said it updated but I still have the same version of youtube-dl.
(Ran youtube-dl from cde-root with cde-exec).

Could someone post a link to an un-debbed un-rpmed version?

--------------


Nice that ublock origin firefox legacy is back. It works!

Tested going to youtube.com with palemoon 28.8.2, old Poirot video, turn off Autoplay.

Without MSE:
"Your browser does not recognize any of the video formats available".

With MSE, the half circle starts to spin and after a few minutes I get an extremely jerky video at 360p.
Top shows VSZ 171% (of 1GB total available RAM, which is all many of my computers can hold).
Download barely or not ahead of play. Very out of synch sound. Non-expanded, same size picture as large phone.
A LOT of swapping to disk sound.

With MSE, no MSE webM but with MSE mp4, VSZ only 131%, with some out of sync and stopping.

With MSE, no MSE webM or MSE mp4, VSZ 103%, still some out of sync and stopping, download behind play.

If I stop the video, VSZ only 101% while download gets ahead of play.

I can then change from 360p to 240p and play fuzzy videos non-expanded without ads.
Or expanded, even fuzzier and out of synch.

I did not figure out download, but this is a time-consuming way to get at a video.

There are ways to download without going to youtube.com, I think by typing in the URL to another site.

-----------

smtube used to work.


With (working) youtube-viewer, DELL 600M plays 360p just fine, full screen, in X, or audio only from a vt.
On 2002-3 computers with discrete video cards I get 720p. 480p always comes out as 720p.

I could probably download with newpipe on a phone (android 4.1), connect to computer via USB, transfer the file, then play
the downloaded video with mpv, faster than using a linux browser. Or play with Newpipe Legacy on the 7" 2012 Nook Color
Tablet that boots Android 4.1 from microSD card. Newpipe failed to run on my newest (2009 HP dv2) laptop with
Android-x86. You need to use gmail to report the error which I refuse to do.
Back to top
View user's profile Send private message 
Mike Walsh


Joined: 28 Jun 2014
Posts: 6397
Location: King's Lynn, UK.

PostPosted: Sat 08 Feb 2020, 16:18    Post subject:  

@ sindi:-

sindi wrote:
Firefox 68 ESR (works with updated Precise 5.7.1 Light) has a Youtube Adblocker (Palemoon does not yet) but no sound. I changed permissions as instructed (allow youtube autoplay) but it may need Pulseaudio. There is now a Youtube Saver but it does not work (as reported by many reviewers - no icon to start it).


Install 'apulse' from here, at OscarTalks' repo. Then start Firefox from the terminal with

Code:
apulse firefox


Perhaps easier to modify your Firefox .desktop launcher to read the same on the 'Exec' line followed by running 'fixmenus' in the terminal and restarting 'X'.

If you use my portable version from here, and follow the instructions for use, it has the necessary PulseAudio/apulse stuff built-in. You can, if you want, keep this on a flash drive and run it from there; it's perfectly happy to run like that.


Mike. Wink

_________________
MY 'PUPPY' PACKAGES

Back to top
View user's profile Send private message 
fredx181


Joined: 11 Dec 2013
Posts: 4481
Location: holland

PostPosted: Sat 08 Feb 2020, 19:02    Post subject:  

Hi sindi,

EDIT: I've read previous posts better now after posting the below, I'm not sure what exactly you're using and what could cause the problems, sorry if below is useless info...
----------------------------------------------------------------------------------------------------

There's no youtube-viewer .pet for Precise (perl version in precise is too old), but there is for Tahr, see here: http://murga-linux.com/puppy/viewtopic.php?p=1009159#1009159
(note that the pet package name is 3.5.3 but in reality it's gtk-youtube-viewer v3.5.0)
EDIT: see also older version and info: http://murga-linux.com/puppy/viewtopic.php?p=1007818#1007818

If you're depending on a cde-package try (if you don't have that version already):
https://dl.dropboxusercontent.com/s/sxo20ipo88m0gp7/yt-viewer-3.5.0_youtube-dl-2018-11-01-fixed-symlinks.tar.gz?dl=1
Shared here: http://murga-linux.com/puppy/viewtopic.php?p=1008585#1008585
It proved to be the best working cde-package (after some failed attempts, see earlier pages)
Extracts to folder: yt-viewer-3.5.0_youtube-dl
Updating youtube-dl from version 2018.10.29 to latest works for me:
Code:
root@live:/mnt/sda5/yt-viewer-3.5.0_youtube-dl# ./youtube-dl.cde --version
2018.10.29
root@live:/mnt/sda5/yt-viewer-3.5.0_youtube-dl# ./youtube-dl.cde -U
Updating to version 2020.01.24 ...
Updated youtube-dl. Restart youtube-dl to use the new version.
root@live:/mnt/sda5/yt-viewer-3.5.0_youtube-dl# ./youtube-dl.cde --version
2020.01.24


Or try the .pet or .sfs based on it from Argolance, see http://murga-linux.com/puppy/viewtopic.php?p=1010065#1010065 (cde-package, as .pet or .sfs)

EDIT:
Quote:
How do I update the youtube-dl in (gtk)-youtube-viewer?
The old one from two weeks ago cannot find URLs.

I tried to update it with ...... youtube-dl -U and it said it updated but I still have the same version of youtube-dl.
(Ran youtube-dl from cde-root with cde-exec).


Download with curl and make executable:
Code:
curl -L https://yt-dl.org/downloads/latest/youtube-dl -o youtube-dl
chmod a+rx youtube-dl

and manually replace in cde-root/usr/local/bin

Fred

_________________
Dog Linux website
Tinylinux blog by wiak
Back to top
View user's profile Send private message 
vtpup


Joined: 15 Oct 2008
Posts: 1422
Location: Republic of Vermont

PostPosted: Wed 04 Mar 2020, 15:37    Post subject: Seems broken  

Aspire 5349 Laptop
Distro: tahrpup 6.0.5
Window Manager: JWM vgit-976
Desktop Start: xwin jwm
gtk-youtube-viewer 3.5.0

gtk-youtube-viewer worked great for several months for me, but for the last week or so, I get a "403 Forbidden" error on any search.

I did see one auto-update occur this week on startup, but it didn't fix the problem.

Typical error message (for search term "cnn"):

[Wed Mar 4 19:27:31 2020]: [403 Forbidden] Error occured on URL: https://www.googleapis.com/youtube/v3/search?key=AIzaSyA2PQakgMYbX3U3imqplLMhpfM8mzEn22Q&maxResults=10&order=date&part=snippet&prettyPrint=false&q=cnn&safeSearch=none&type=video&videoCaption=any&videoDefinition=any&videoDuration=any

Thanks.

_________________
Acer Aspire 5349-2635 laptop Tahrpup.
C720 Chromebk Bionicpup64
My homemade foam boat
www.youtube.com/watch?v=4sDubB0-REg
Back to top
View user's profile Send private message Visit poster's website 
Smithy


Joined: 12 Dec 2011
Posts: 1157

PostPosted: Thu 05 Mar 2020, 16:22    Post subject:  

Yes it seems to be broken again.
Back to top
View user's profile Send private message 
fredx181


Joined: 11 Dec 2013
Posts: 4481
Location: holland

PostPosted: Sun 08 Mar 2020, 05:30    Post subject:  

Smithy wrote:
Yes it seems to be broken again.


Yes, very sad, is this the end of youtube-viewer ?? https://github.com/trizen/youtube-viewer/issues/308
Can still be used with latest version 3.7.4, but only when you create api key (you need google account) and edit /root/.config/youtube-viewer/api.json by adding the api key.

Also, trizen (the author) made a fork of youtube-viewer straw-viewer which depends on gtk3.
I installed it and it works well from what I tested, it's using the invidious api https://invidio.us/

Fred

_________________
Dog Linux website
Tinylinux blog by wiak
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 13129
Location: Stratford, Ontario

PostPosted: Sun 08 Mar 2020, 09:37    Post subject:  

My build of youtube-dl-gui is still OK, but it may work differently.
Back to top
View user's profile Send private message 
vtpup


Joined: 15 Oct 2008
Posts: 1422
Location: Republic of Vermont

PostPosted: Tue 10 Mar 2020, 12:53    Post subject:  

fredx181 wrote:
Smithy wrote:
Yes it seems to be broken again.


Also, trizen (the author) made a fork of youtube-viewer straw-viewer which depends on gtk3.
I installed it and it works well from what I tested, it's using the invidious api https://invidio.us/


Fred, can you give steps to install? thx.

_________________
Acer Aspire 5349-2635 laptop Tahrpup.
C720 Chromebk Bionicpup64
My homemade foam boat
www.youtube.com/watch?v=4sDubB0-REg
Back to top
View user's profile Send private message Visit poster's website 
fredx181


Joined: 11 Dec 2013
Posts: 4481
Location: holland

PostPosted: Tue 10 Mar 2020, 15:16    Post subject:  

Hi vtpup,

Quote:
Fred, can you give steps to install? thx.


You use Tahr right ?
I installed it on Tahr, but sadly it won't run, looks like it needs newer gtk3.

Code:
root# gtk-straw-viewer
/usr/share/perl5/auto/share/dist/WWW-StrawViewer/gtk-straw-viewer.glade: required gtk+ version 3.20, current version is 3.10 at /usr/lib/perl5/Glib/Object/Introspection.pm line 59.
root#


I think even Xenial wouldn't be new enough to run gtk-straw-viewer (by looking at the gtk3 version required)

Fred

_________________
Dog Linux website
Tinylinux blog by wiak
Back to top
View user's profile Send private message 
vtpup


Joined: 15 Oct 2008
Posts: 1422
Location: Republic of Vermont

PostPosted: Tue 10 Mar 2020, 16:15    Post subject:  

Thanks Fred.

I've looked into moving up in Puppies, but still have some issues where a couple of essential programs seem to require an older pup, like Tahr.

But I'll find a way in coming months, I hope.

_________________
Acer Aspire 5349-2635 laptop Tahrpup.
C720 Chromebk Bionicpup64
My homemade foam boat
www.youtube.com/watch?v=4sDubB0-REg
Back to top
View user's profile Send private message Visit poster's website 
fredx181


Joined: 11 Dec 2013
Posts: 4481
Location: holland

PostPosted: Tue 10 Mar 2020, 19:30    Post subject:  

*** gtk-youtube-viewer v3.7.4 ***

earlier, fredx181 wrote:
Can still be used with latest version 3.7.4, but only when you create api key (you need google account) and edit /root/.config/youtube-viewer/api.json by adding the api key.


I included my own youtube api key (in /root/.config/youtube-viewer/api.json) in the package , probably it's working for anyone else too, I see no reason why not.
(hopefully I won't regret sharing that key, oh well.. Rolling Eyes )
EDIT: To be able to login in your Youtube account, it's required to get client ID, edit api.json, see also here:
https://github.com/trizen/youtube-viewer#logging-in

Note: This package has no (perl) dependencies included, which means that it's required to have installed already one of the packages I shared here:
http://murga-linux.com/puppy/viewtopic.php?p=1009159#1009159 and here (Stretch): http://murga-linux.com/puppy/viewtopic.php?p=1025673#1025673

So far I tested only on Tahrpup, but may work on other Puppies too (again, only to update when earlier package is installed first)

Update 2020-03-12: v3.7.4-1. Added (most of) the missing icons to the .pet, became just a little too big to attach.
EDIT: Updated again, v3.7.4-2
https://dl.dropboxusercontent.com/s/jh5rslf2ljznmxe/youtube-viewer-3.7.4-2_noarch.pet?dl=1

Fred

_________________
Dog Linux website
Tinylinux blog by wiak

Last edited by fredx181 on Thu 12 Mar 2020, 16:35; edited 4 times in total
Back to top
View user's profile Send private message 
vtpup


Joined: 15 Oct 2008
Posts: 1422
Location: Republic of Vermont

PostPosted: Tue 10 Mar 2020, 20:45    Post subject:  

Thank you very much Fred. It works!

Please let me know if there is are any issues for you re. api key, and I will uninstall the .pet.

_________________
Acer Aspire 5349-2635 laptop Tahrpup.
C720 Chromebk Bionicpup64
My homemade foam boat
www.youtube.com/watch?v=4sDubB0-REg
Back to top
View user's profile Send private message Visit poster's website 
Display posts from previous:   Sort by:   
Page 29 of 33 [482 Posts]   Goto page: Previous 1, 2, 3, ..., 27, 28, 29, 30, 31, 32, 33 Next
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies. View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.7274s ][ Queries: 12 (0.3082s) ][ GZIP on ]